#1655 closed defect (fixed)

Warnings from autoconf in c/src/ada-tests

Reported by: Joel Sherrill Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This appears over and over. I am not 100% sure which macro is responsible "="
and which for "+="

ada.am:18: CLEANFILES multiply defined in condition TRUE ...
tmtests/tmck/Makefile.am:6: `ada.am' included from here
../../../testsuites/automake/compile.am:20: ... `CLEANFILES' previously defined here
tmtests/tmck/Makefile.am:4: `../../../testsuites/automake/compile.am' included from here
ada.am:18: CLEANFILES multiply defined in condition TRUE ...

Change History (4)

comment:1 Changed on Aug 6, 2010 at 11:30:07 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Ralf Corsepius

comment:2 Changed on Aug 7, 2010 at 2:20:41 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Replying to comment:0:

This appears over and over. I am not 100% sure which macro is responsible "="
and which for "+="

Read the log you cited:

ada.am:18: CLEANFILES multiply defined in condition TRUE ...
tmtests/tmck/Makefile.am:6: `ada.am' included from here
../../../testsuites/automake/compile.am:20: ... `CLEANFILES' previously defined
here
tmtests/tmck/Makefile.am:4: `../../../testsuites/automake/compile.am'
included from here
ada.am:18: CLEANFILES multiply defined in condition TRUE ...

It tells you CLEANFILES is previously defined in

../../../testsuites/automake/compile.am

This is a side-effect of the tar*-testsuites issues, which introduced a need to change testsuites/automake/compile.am.

Untested patch (I do not support Ada) checked-in to CVS-HEAD.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.